
function icon_start( floorname, posx, posy, posz, siz, unique_name, swinganim1, swinganim2, swinganim3 )
	if floorname == nil then
		return
	end

	local actor = ACTOR_preload()

	actor[cp_actor_name]		= floorname
	actor[cp_model_dir]			= "player"
	actor[cp_model_name]		= floorname

	actor[cp_actor_type]		= cat_ground

--	if floorname == "island_xp" then
--		actor[cp_launch_hue_shift]		= -30
--	end

	c_preload_model( actor )

	if swinganim1 ~= nil then
		c_set_random_anim( swinganim1, 100.0, 100.0, 0.0, 0.0 )
	end
	if swinganim2 ~= nil then
		c_set_random_anim( swinganim2, 100.0, 100.0, 0.0, 0.0 )
	end
	if swinganim3 ~= nil then
		c_set_random_anim( swinganim3, 100.0, 100.0, 0.0, 0.0 )
	end

	if floorname == "island-flower" then
		c_set_random_anim( "sway", 90.0, 110.0, 0.0, 0.0 )
--		c_add_particle_to_anim( "sway", "face", "island-flower-twinkle" )	
	end

	local apo = ACTOR_PreLaunch( floorname, unique_name )
	apo:setall( posy, posz, -posx, 90.0, siz, 0.0, 0.0, 0.0, 0.0 )
	apo:launch()
end

function fluffy_start( )
	dofile("powerup_stickyeyes.lua")

	local actor = ACTOR_preload()

	actor[cp_actor_name]			= "icon_fluffy"
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "zlogoball"

	actor[cp_actor_type]			= cat_ground
	
	actor[cp_launch_hue_shift]		= 135

	actor[cp_rolly_polly_multiply]	= 3.0

	actor[cp_add_eyes]				= 1.0

	c_preload_model( actor )

	c_set_fluffy_sphere( { 0.0,198.0, 50.0,50.0, 0.0,0.0 } )

	local apo = ACTOR_PreLaunch( "icon_fluffy", "icon_fluffy" )
	apo:setall( 0, 0, 0, 90.0, 80.0, 0.0, 0.0, 0.0, 0.0 )
	apo:launch()
	
	c_link_to_parent( "icon_title", "attach" )
end
